package com.sunxung.factoring.entity.financing.apply.vo;

import com.sunxung.factoring.entity.financing.apply.CFinancingHisAccountsReceivableInfo;
import com.sunxung.factoring.entity.financing.apply.CFinancingHisApplicantInfo;
import com.sunxung.factoring.entity.financing.apply.CFinancingHisGoodsInfo;
import com.sunxung.factoring.entity.financing.apply.CFinancingHisInfo;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import java.util.List;

/**
 * @Description : 融资申请Vo类
 * @Author : L.Jia
 * @Date: 2023-12-22 11:26
 */
public class FinancingApplyVo {

    /**
     * 融资基础信息
     */
    private CFinancingHisInfo financingBasicInfo;

    /**
     * 融资货物信息
     */
    private List<CFinancingHisGoodsInfo> financingGoodsInfoList;

    /**
     * 融资底层信息
     */
    private List<CFinancingHisAccountsReceivableInfo> financingAccountsReceivableInfoList;

    /**
     * 融资申请人信息
     */
    private CFinancingHisApplicantInfo financingApplicantInfo;

    /**
     * 附件
     */
    private List<FileStorageDO> fileStorageDOList;

    public CFinancingHisInfo getFinancingBasicInfo() {
        return financingBasicInfo;
    }

    public void setFinancingBasicInfo(CFinancingHisInfo financingBasicInfo) {
        this.financingBasicInfo = financingBasicInfo;
    }

    public List<CFinancingHisGoodsInfo> getFinancingGoodsInfoList() {
        return financingGoodsInfoList;
    }

    public void setFinancingGoodsInfoList(List<CFinancingHisGoodsInfo> financingGoodsInfoList) {
        this.financingGoodsInfoList = financingGoodsInfoList;
    }

    public List<CFinancingHisAccountsReceivableInfo> getFinancingAccountsReceivableInfoList() {
        return financingAccountsReceivableInfoList;
    }

    public void setFinancingAccountsReceivableInfoList(List<CFinancingHisAccountsReceivableInfo> financingAccountsReceivableInfoList) {
        this.financingAccountsReceivableInfoList = financingAccountsReceivableInfoList;
    }

    public CFinancingHisApplicantInfo getFinancingApplicantInfo() {
        return financingApplicantInfo;
    }

    public void setFinancingApplicantInfo(CFinancingHisApplicantInfo financingApplicantInfo) {
        this.financingApplicantInfo = financingApplicantInfo;
    }

    public List<FileStorageDO> getFileStorageDOList() {
        return fileStorageDOList;
    }

    public void setFileStorageDOList(List<FileStorageDO> fileStorageDOList) {
        this.fileStorageDOList = fileStorageDOList;
    }
}
